Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.deployment.cache
Interface FileDeploymentStoreMBean

All Superinterfaces:
  DeploymentStoreMBean, Service, ServiceMBean

All Known Implementing Classes:
  FileDeploymentStore

public interface FileDeploymentStoreMBean
extends DeploymentStoreMBean

MBean interface.

Field Summary

Fields inherited from interface org.jboss.system.ServiceMBean
`CREATE_EVENT, CREATED, DESTROY_EVENT, DESTROYED, FAILED, REGISTERED, START_EVENT, STARTED, STARTING, states, STOP_EVENT, STOPPED, STOPPING, UNREGISTERED`

Method Summary
`URL` | `get(URL url)` Get the stored URL for the given deployment URL.
`File` | `getDirectory()` Returns the local directory where cache data is stored.
`String` | `getDirectoryName()` Get the name of the local directory where cache data is stored.
`URL` | `put(URL url)` Put a deployment URL into storage.
`void` | `setDirectory(File dir)` Set the local directory where cache data will be stored.
`void` | `setDirectoryName(String dirname)` Set the name of the local directory where cache data will be stored.

Methods inherited from interface org.jboss.system.ServiceMBean
`getName, getState, getStateString, jbossInternalLifecycle`

Methods inherited from interface org.jboss.system.Service
`create, destroy, start, stop`

Method Detail

### setDirectory

    public void setDirectory(File dir)
                      throws IOException

  Set the local directory where cache data will be stored.

  Parameters:
    `dir` - The local directory where cache data will be stored.
  Throws:
    `IOException` - File not found, not a directory, can't write...

### getDirectory

    public File getDirectory()

  Returns the local directory where cache data is stored.

  Returns:
    The local directory where cache data is stored.

### setDirectoryName

    public void setDirectoryName(String dirname)
                          throws IOException

  Set the name of the local directory where cache data will be stored.

  Invokes `setDirectory(java.io.File)`.

  Parameters:
    `dirname` - The name of the local directory where cache data will be stored.
  Throws:
    `IOException` - File not found, not a directory, can't write...

### getDirectoryName

    public String getDirectoryName()

  Get the name of the local directory where cache data is stored.

  Returns:
    The name of the local directory where cache data is stored.

### get

    public URL get(URL url)

  Description copied from interface: `DeploymentStoreMBean`
  Get the stored URL for the given deployment URL.

  Specified by:
    `get` in interface `DeploymentStoreMBean`
  Parameters:
    `url` - The original deployment URL.
  Returns:
    The stored URL or null if not stored.

### put

    public URL put(URL url)
            throws Exception

  Description copied from interface: `DeploymentStoreMBean`
  Put a deployment URL into storage. This will cause the data associated with the given URL to be downloaded.

  If there is already a stored URL it will be overwritten.

  Specified by:
    `put` in interface `DeploymentStoreMBean`
  Parameters:
    `url` - The original deployment URL.
  Returns:
    The stored URL.
  Throws:
    `Exception` - Failed to put deployment URL into the store.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.